Subject: Re: Why Emacs is echoing message for each installed Emacs package while startup

From: Akib Azmain Turja <[email-masked]>
Date: Tue, 26 Jul 2022 14:27:38 +0600

From d4b449e7c129a6d44414790ad36046e4d325a55e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Andr=C3=A9=20A=2E=20Gomes?= <[email-masked]>
Date: Sat, 21 May 2022 14:42:12 +0100
Subject: [PATCH] gnu: emacs: Suppress loading messages.

---
 gnu/packages/aux-files/emacs/guix-emacs.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/aux-files/emacs/guix-emacs.el b/gnu/packages/aux-files/emacs/guix-emacs.el
index eff44bfe90..56dbcb8d67 100644
--- a/gnu/packages/aux-files/emacs/guix-emacs.el
+++ b/gnu/packages/aux-files/emacs/guix-emacs.el
@@ -56,7 +56,7 @@ The files in the list do not have extensions (.el, .elc)."
   (let ((autoloads (mapcan #'guix-emacs-find-autoloads
                            (guix-emacs--non-core-load-path))))
     (mapc (lambda (f)
-            (load f 'noerror))
+            (load f 'noerror t))
           autoloads)))
 
 ;;;###autoload
-- 
2.36.0

Akib Azmain Turja <[email-masked]> writes:

> Jorge P. de Morais Neto <[email-masked]> writes:
>
>> Hi!  I reply below:
>>
>> Em [2022-05-22 dom 17:26:55+0600], Akib Azmain Turja escreveu:
>>> Thanks a lot.  Just a question, where should I send the patch?
>>> guix-devel?
>>
>> Did you send the patch?  I have searched debbugs and have not found any
>> such submission.  I care because:
>>
>> 1. It significantly pollutes the *Messages* buffer, which can mask
>>    important warnings such as when Emacs loads a .elc byte compiled file
>>    that is older than its source code.
>> 2. For people who byte-compile Elisp files from a Makefile, these
>>    messages causes significant pollution, masking byte-compilation warnings.
>> 3. For people who use the nativecomp feature (from a guix channel),
>>    the native compilation of *each* Emacs package yields loading messages
>>    for *every* Guix-installed Emacs package, resulting in O(n^2) growth.
>>
>> Regards
>
> Thanks for reminding.  I forgot it completely, because the only Emacs
> package I have currently installed with Guix is emacs-vterm, because
> Guix doesn't work with the Emacs I compiled myself.  I have attached the
> patch to this message and CCed to guix-patches.
>
> CC guix-patches, for each Emacs package I have installed, Emacs echoes
> "Loading /gnu/store/...-emacs-.../...-autoloads.el" while startup.  I
> have attached a patch fixing it (thanks to "André A. Gomes
> <[email-masked]>" for preparing it).

Did I really sent the patch?  Looks like I forgot to attach the patch
and CC guix-patches.  :-/

-- 
Akib Azmain Turja

Find me on Mastodon at @[email-masked].

This message is signed by me with my GnuPG key.  It's fingerprint is:

    7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5